Bug 174556 - Running 'curl-config --vernum' prints no output
Running 'curl-config --vernum' prints no output
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 18:48 EST by Art Haas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-02 03:16:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Art Haas 2005-11-29 18:48:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20051129 Firefox/1.6a1

Description of problem:
The 'curl-config' program produces no output when option '--vernum' is used. The program itself is a shell script, so a quick examination revealed that the 'vernum' bits of code in the 'case' block that handles the various options was missing the version information in the 'echo' statement that prints out the desired value. The fix is to add in the version info, and in the case of 'vernum' it is a hex value.

Before:

--vernum)
         echo
         exit 0
         ;;

After adding the version as hex:

--vernum)
        echo 070f00
        exit 0
        ;;

Things worked fine. As 'curl-config' is probably a generated file the problem may be a configuration problem during the build of the curl libraries.

Version-Release number of selected component (if applicable):
curl-devel-7.15.0-2

How reproducible:
Always

Steps to Reproduce:
1. curl-config --vernum
2.
3.
  

Actual Results:  No output.

Expected Results:  A hex value should be printed, like '070f00'.

Additional info:

See the description above for the fix. The change is trivial.
Comment 1 Ivana Varekova 2005-12-02 03:16:42 EST
Thank you for your bug report, this problem should be fixed in the last version
(curl-7.15.0-3). If there is any problem, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.